/preview/recommendation/search-conversational
curl --request POST \
--url https://api.criteo.com/preview/recommendation/search-conversational \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"adSetId": 123,
"conversation": [
{
"content": "<string>",
"role": "<string>"
}
],
"nbRequestedProducts": 123,
"partnerId": 123,
"userId": "<string>",
"adId": 123,
"product": {
"brand": "<string>",
"category": "<string>",
"color": "<string>",
"description": "<string>",
"name": "<string>",
"price": {
"amount": 123,
"currency": "<string>"
},
"productId": "<string>",
"size": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/recommendation/search-conversational"
payload = {
"adSetId": 123,
"conversation": [
{
"content": "<string>",
"role": "<string>"
}
],
"nbRequestedProducts": 123,
"partnerId": 123,
"userId": "<string>",
"adId": 123,
"product": {
"brand": "<string>",
"category": "<string>",
"color": "<string>",
"description": "<string>",
"name": "<string>",
"price": {
"amount": 123,
"currency": "<string>"
},
"productId": "<string>",
"size": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
adSetId: 123,
conversation: [{content: '<string>', role: '<string>'}],
nbRequestedProducts: 123,
partnerId: 123,
userId: '<string>',
adId: 123,
product: {
brand: '<string>',
category: '<string>',
color: '<string>',
description: '<string>',
name: '<string>',
price: {amount: 123, currency: '<string>'},
productId: '<string>',
size: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/recommendation/search-conversational', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extraInfos": [
123
],
"products": [
{
"alternativeClickUrl": "<string>",
"brand": "<string>",
"clickUrl": "<string>",
"description": "<string>",
"googleCategory": "<string>",
"hasVariants": true,
"imageUrl": "<string>",
"name": "<string>",
"price": 123,
"productExternalId": "<string>",
"relevancyScore": 123,
"retailPrice": 123
}
]
}/preview/recommendation/search-conversational
Retrieves a list of products recommended for the given user based on a conversation between a user and a partner’s agent
POST
/
preview
/
recommendation
/
search-conversational
/preview/recommendation/search-conversational
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Conversational recommendation request parameters
Id of the AdSet. This field is optional and is resolved automatically for adsets previously configured.
Conversation between the user and the agent.
Show child attributes
Show child attributes
Amount of products to recommend.
Id of the partner.
Used to retrieve user events from Criteo trackers.
Id of the Ad. This field is optional, it allows to setup Reco controls at Ad level.
Information about a product used as context for conversational recommendation
Show child attributes
Show child attributes
Was this page helpful?
⌘I